org.eclipse.rdf4j.sail.memory.model

## Class NumericMemLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.sail.memory.model.MemLiteral
      - - org.eclipse.rdf4j.sail.memory.model.NumericMemLiteral

- All Implemented Interfaces:
    Serializable, Literal, Value, MemValue

      public class NumericMemLiteral
      extends MemLiteral

  An extension of MemLiteral that stores a numeric value to avoid parsing.
  Author:
    David Huynh, Arjohn Kampman
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.memory.model.MemValue

      `EMPTY_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericMemLiteral(Object creator, byte number)`
    `NumericMemLiteral(Object creator, double n)`
    `NumericMemLiteral(Object creator, float n)`
    `NumericMemLiteral(Object creator, int number)`
    `NumericMemLiteral(Object creator, long n)`
    `NumericMemLiteral(Object creator, Number number, IRI datatype)`
    `NumericMemLiteral(Object creator, short number)`
    `NumericMemLiteral(Object creator, String label, Number number, IRI datatype)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `byteValue()` Returns the `byte` value of this literal.
    `double` | `doubleValue()` Returns the `double` value of this literal.
    `float` | `floatValue()` Returns the `float` value of this literal.
    `int` | `intValue()` Returns the `int` value of this literal.
    `long` | `longValue()` Returns the `long` value of this literal.
    `short` | `shortValue()` Returns the `short` value of this literal.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.memory.model.MemLiteral

      `addObjectStatement, cleanSnapshotsFromObjectStatements, getCreator, getObjectStatementCount, getObjectStatementList, hasStatements, removeObjectStatement`

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, calendarValue, decimalValue, equals, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, setDatatype, setDatatype, setLabel, setLanguage, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral, isResource, isTriple, stringValue`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

- - ### Constructor Detail

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   String label,
                                   Number number,
                                   IRI datatype)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   Number number,
                                   IRI datatype)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   byte number)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   short number)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   int number)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   long n)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   float n)

    - #### NumericMemLiteral

          public NumericMemLiteral(Object creator,
                                   double n)

  - ### Method Detail

    - #### byteValue

          public byte byteValue()

      Description copied from interface: `Literal`
      Returns the `byte` value of this literal.
      Specified by:
        `byteValue` in interface `Literal`
      Overrides:
        `byteValue` in class `SimpleLiteral`
      Returns:
        The `byte` value of the literal.

    - #### shortValue

          public short shortValue()

      Description copied from interface: `Literal`
      Returns the `short` value of this literal.
      Specified by:
        `shortValue` in interface `Literal`
      Overrides:
        `shortValue` in class `SimpleLiteral`
      Returns:
        The `short` value of the literal.

    - #### intValue

          public int intValue()

      Description copied from interface: `Literal`
      Returns the `int` value of this literal.
      Specified by:
        `intValue` in interface `Literal`
      Overrides:
        `intValue` in class `SimpleLiteral`
      Returns:
        The `int` value of the literal.

    - #### longValue

          public long longValue()

      Description copied from interface: `Literal`
      Returns the `long` value of this literal.
      Specified by:
        `longValue` in interface `Literal`
      Overrides:
        `longValue` in class `SimpleLiteral`
      Returns:
        The `long` value of the literal.

    - #### floatValue

          public float floatValue()

      Description copied from interface: `Literal`
      Returns the `float` value of this literal.
      Specified by:
        `floatValue` in interface `Literal`
      Overrides:
        `floatValue` in class `SimpleLiteral`
      Returns:
        The `float` value of the literal.

    - #### doubleValue

          public double doubleValue()

      Description copied from interface: `Literal`
      Returns the `double` value of this literal.
      Specified by:
        `doubleValue` in interface `Literal`
      Overrides:
        `doubleValue` in class `SimpleLiteral`
      Returns:
        The `double` value of the literal.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.